Description

History

#1 - 07/16/2012 02:53 PM - Aaron Marcuse-Kubitza

Google techniques for this

#2 - 07/16/2012 04:20 PM - Aaron Marcuse-Kubitza
Options:

e testing if the export can be restored
e comparing plain text exports of the DB and the restore file

e WAL Archiving
o requires separate machine for live backup

#3 - 07/17/2012 03:51 PM - Aaron Marcuse-Kubitza
- Status changed from New to Resolved

- % Done changed from 0 to 100

| tested restoring by extracting the compressed, custom-format backup to a plain text SQL script™. This is much faster than restoring to DB, while still
testing whether the archive is valid. For the most recent backup, | also tested restoring it on my local machine, which takes ~50 min2. (Backing up
takes ~25 min3.)

' make backups/public.<date>.backup/test &
Note that the compressed format is 9x smaller than plain text: 7.5 GB for all backups vs. 67.5 GB (75 GB - 7.5 GB after all were extracted)

2 make backups/public.2012-07-12-13-34-33.backup/restore & :

3048.69 real 25.65 user 7.26 sys

® make schemas/public.2012-07-12-13-34-33.backup & :

1508.94user 26.71lsystem 25:57.5lelapsed 98%CPU (Oavgtext+Oavgdata 38256maxresident)k
3448inputs+2220544outputs (57major+6427minor)pagefaults Oswaps
http://www.linuxquestions.org/questions/linux-software-2/testing-a-postgres-dump-file-807604/
http://www.postgresql.org/docs/9.1/static/continuous-archiving.html
http://www.tcpdf.org

